import * as core from "@terrascript/core";

export interface DsDxGatewayArgs {
  name: string | core.StringOut;
}

export class DsDxGateway extends core.Data<DsDxGatewayArgs> {
  @core.attr(String, { computed: true })
  public amazonSideAsn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public name!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public ownerAccountId!: string | core.StringOut;

  constructor(name: string, args?: DsDxGatewayArgs) {
    super(name, "aws_dx_gateway", args);
  }

  public override getNamespace(): string {
    return "aws_direct_connect";
  }
}
